SearchArgument.TruthValue (Hive Storage API 2.1.1-pre-orc API)
Date: 2016-10-19

org.apache.hadoop.hive.ql.io.sarg

## Enum SearchArgument.TruthValue

- java.lang.Object
- - java.lang.Enum<SearchArgument.TruthValue>
  - - org.apache.hadoop.hive.ql.io.sarg.SearchArgument.TruthValue

- All Implemented Interfaces:
    Serializable, Comparable<SearchArgument.TruthValue>
  Enclosing interface:
    SearchArgument

      public static enum SearchArgument.TruthValue
      extends Enum<SearchArgument.TruthValue>

  The potential result sets of logical operations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO`
    `NO_NULL`
    `NULL`
    `YES`
    `YES_NO`
    `YES_NO_NULL`
    `YES_NULL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SearchArgument.TruthValue` | `and(SearchArgument.TruthValue right)` Compute logical AND between the two values.
    `boolean` | `isNeeded()` Does the RecordReader need to include this set of records?
    `SearchArgument.TruthValue` | `not()`
    `SearchArgument.TruthValue` | `or(SearchArgument.TruthValue right)` Compute logical or between the two values.
    `static SearchArgument.TruthValue` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SearchArgument.TruthValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### YES

          public static final SearchArgument.TruthValue YES

    - #### NO

          public static final SearchArgument.TruthValue NO

    - #### NULL

          public static final SearchArgument.TruthValue NULL

    - #### YES_NULL

          public static final SearchArgument.TruthValue YES_NULL

    - #### NO_NULL

          public static final SearchArgument.TruthValue NO_NULL

    - #### YES_NO

          public static final SearchArgument.TruthValue YES_NO

    - #### YES_NO_NULL

          public static final SearchArgument.TruthValue YES_NO_NULL

  - ### Method Detail

    - #### values

          public static SearchArgument.TruthValue[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SearchArgument.TruthValue c : SearchArgument.TruthValue.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SearchArgument.TruthValue valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### or

          public SearchArgument.TruthValue or(SearchArgument.TruthValue right)

      Compute logical or between the two values.
      Parameters:
        `right` - the other argument or null
      Returns:
        the result

    - #### and

          public SearchArgument.TruthValue and(SearchArgument.TruthValue right)

      Compute logical AND between the two values.
      Parameters:
        `right` - the other argument or null
      Returns:
        the result

    - #### not

          public SearchArgument.TruthValue not()

    - #### isNeeded

          public boolean isNeeded()

      Does the RecordReader need to include this set of records?
      Returns:
        true unless none of the rows qualify

Copyright © 2016 The Apache Software Foundation. All rights reserved.